org.apache.struts2.components

## Class PortletUrlRenderer

- java.lang.Object
- - org.apache.struts2.components.PortletUrlRenderer

- All Implemented Interfaces:
    UrlRenderer

      public class PortletUrlRenderer
      extends Object
      implements UrlRenderer

  Implementation of the `UrlRenderer` interface that renders URLs for portlet environments.
  See Also:
    `UrlRenderer`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PortletUrlRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beforeRenderUrl(UrlProvider urlComponent)`
    `void` | `renderFormUrl(Form formComponent)`
    `void` | `renderUrl(Writer writer, UrlProvider urlComponent)`
    `void` | `setActionMapper(ActionMapper actionMapper)`
    `void` | `setQueryStringParser(QueryStringParser queryStringParser)`
    `void` | `setUrlHelper(UrlHelper urlHelper)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PortletUrlRenderer

          public PortletUrlRenderer()

  - ### Method Detail

    - #### setActionMapper

          public void setActionMapper(ActionMapper actionMapper)

      Specified by:
        `setActionMapper` in interface `UrlRenderer`

    - #### setUrlHelper

          public void setUrlHelper(UrlHelper urlHelper)

    - #### setQueryStringParser

          public void setQueryStringParser(QueryStringParser queryStringParser)

    - #### renderUrl

          public void renderUrl(Writer writer,
                                UrlProvider urlComponent)

      Specified by:
        `renderUrl` in interface `UrlRenderer`

    - #### renderFormUrl

          public void renderFormUrl(Form formComponent)

      Specified by:
        `renderFormUrl` in interface `UrlRenderer`

    - #### beforeRenderUrl

          public void beforeRenderUrl(UrlProvider urlComponent)

      Specified by:
        `beforeRenderUrl` in interface `UrlRenderer`

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.